import { j as jsxRuntimeExports } from "./jsx-runtime-77da1412.js";
import React from "react";
import ColorButton from "./ColorButton.js";
import Icon from "./Icon.js";
import { c as canvasContext } from "./canvasContext-f53da4db.js";
import "./index-43981852.js";
import "./tslib.es6-f5d753a9.js";
const BottomBar$1 = "";
var zoomOptions = [10, 20, 30, 40, 50, 60, 70, 80, 90, 100];
var BottomBar = function() {
  var _a;
  var _b = React.useContext(canvasContext), canvasState = _b[0], canvasStateDispatcher = _b[1];
  var layerName = canvasState.layerName, mode = canvasState.mode, zoom = canvasState.zoom, selectedElement = canvasState.selectedElement;
  var onChangeFillColor = function(color) {
    canvasStateDispatcher({ type: "color", colorType: "fill", color });
  };
  var onChangeStrokeColor = function(color) {
    canvasStateDispatcher({ type: "color", colorType: "stroke", color });
  };
  var selectedFillColor = selectedElement === null || selectedElement === void 0 ? void 0 : selectedElement.getAttribute("fill");
  var selectedStrokeColor = selectedElement === null || selectedElement === void 0 ? void 0 : selectedElement.getAttribute("stroke");
  var handleZoom = function(newZoom) {
    canvasStateDispatcher({ type: "zoom", zoom: Number(newZoom) });
  };
  var fullContext = "";
  if (canvasState.context) {
    var currentChild = canvasState.context;
    do {
      fullContext = "".concat((_a = currentChild.id) !== null && _a !== void 0 ? _a : "", " ").concat(fullContext);
      currentChild = currentChild.parentNode;
    } while ((currentChild === null || currentChild === void 0 ? void 0 : currentChild.id) === "svgcontent");
  }
  return jsxRuntimeExports.jsxs("div", { className: "bottom-bar", children: [jsxRuntimeExports.jsx(ColorButton, { onChange: onChangeFillColor, value: selectedFillColor, title: "Fill" }), jsxRuntimeExports.jsx(ColorButton, { onChange: onChangeStrokeColor, value: selectedStrokeColor, title: "Stroke" }), jsxRuntimeExports.jsxs("label", { children: [jsxRuntimeExports.jsx(Icon, { name: "Zoom", className: "OIe-zoom" }), jsxRuntimeExports.jsx("select", { value: zoom, onChange: function(e) {
    return handleZoom(e.target.value);
  }, "aria-label": "zoom-in-out", children: zoomOptions.map(function(o) {
    return jsxRuntimeExports.jsx("option", { value: o, children: "".concat(o, "%") }, o);
  }) })] }), jsxRuntimeExports.jsx("div", { className: "OIe-mode", children: "Mode:".concat(mode) }), jsxRuntimeExports.jsx("div", { className: "OIe-layer", children: "Layer:".concat(layerName) }), jsxRuntimeExports.jsx("div", { className: "OIe-context", children: "Context:".concat(fullContext) })] });
};
export {
  BottomBar as default
};
