import PropTypes from "prop-types";
import { FunctionType } from "./MiniEditor";
import "./ColorButton.scss";
declare const ColorButton: {
    ({ onChange, value, title, }: {
        onChange: FunctionType;
        value: string;
        title: string;
    }): import("react/jsx-runtime").JSX.Element;
    propTypes: {
        value: PropTypes.Requireable<string>;
        onChange: PropTypes.Validator<(...args: any[]) => any>;
        title: PropTypes.Requireable<string>;
    };
    defaultProps: {
        value: string;
        title: string;
    };
};
export default ColorButton;
