import { j as jsxRuntimeExports } from "./jsx-runtime-77da1412.js";
import { P as PropTypes } from "./index-43981852.js";
import IconButton from "./IconButton.js";
import "react";
import "./Icon.js";
import "./tslib.es6-f5d753a9.js";
var GenericTools = function(_a) {
  var canvas = _a.canvas, canvasUpdated = _a.canvasUpdated, svgUpdate = _a.svgUpdate, onClose = _a.onClose;
  var onClickUndo = function() {
    canvas.undoMgr.undo();
  };
  var onClickRedo = function() {
    canvas.undoMgr.redo();
  };
  var onClickClose = function() {
    if (canvasUpdated) {
      if (!window.confirm("A change was not saved, do you really want to exit?"))
        return;
    }
    onClose();
  };
  return jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [jsxRuntimeExports.jsx(IconButton, { icon: "Close", onClick: onClickClose }), jsxRuntimeExports.jsx(IconButton, { icon: "Save", className: canvasUpdated ? "enabled" : "disabled", onClick: function() {
    svgUpdate(canvas.getSvgString());
  } }), jsxRuntimeExports.jsx(IconButton, { icon: "Undo", onClick: onClickUndo }), jsxRuntimeExports.jsx(IconButton, { icon: "Redo", onClick: onClickRedo })] });
};
GenericTools.propTypes = {
  canvas: PropTypes.object,
  svgUpdate: PropTypes.func.isRequired,
  canvasUpdated: PropTypes.bool.isRequired,
  onClose: PropTypes.func.isRequired
};
GenericTools.defaultProps = { canvas: null };
export {
  GenericTools as default
};
