import { j as jsxRuntimeExports } from "./jsx-runtime-77da1412.js";
import React from "react";
import IconButton from "./IconButton.js";
import { c as canvasContext } from "./canvasContext-f53da4db.js";
import "./index-43981852.js";
import "./Icon.js";
import "./tslib.es6-f5d753a9.js";
const LeftBar$1 = "";
var LeftBar = function() {
  var _a = React.useContext(canvasContext), canvasState = _a[0], canvasStateDispatcher = _a[1];
  var mode = canvasState.mode;
  var setMode = function(newMode) {
    return canvasStateDispatcher({ type: "mode", mode: newMode });
  };
  return jsxRuntimeExports.jsxs("div", { className: "left-bar", children: [jsxRuntimeExports.jsx(IconButton, { icon: "Select", className: mode === "select" ? "selected" : "", onClick: function() {
    return setMode("select");
  } }), jsxRuntimeExports.jsx(IconButton, { icon: "Ellipse", className: mode === "ellipse" ? "selected" : "", onClick: function() {
    return setMode("ellipse");
  } }), jsxRuntimeExports.jsx(IconButton, { icon: "Rect", className: mode === "rect" ? "selected" : "", onClick: function() {
    return setMode("rect");
  } }), jsxRuntimeExports.jsx(IconButton, { icon: "Path", className: mode === "path" ? "selected" : "", onClick: function() {
    return setMode("path");
  } }), jsxRuntimeExports.jsx(IconButton, { icon: "Line", className: mode === "line" ? "selected" : "", onClick: function() {
    return setMode("line");
  } }), jsxRuntimeExports.jsx(IconButton, { icon: "Text", className: mode === "text" ? "selected" : "", onClick: function() {
    return setMode("text");
  } })] });
};
export {
  LeftBar as default
};
