export type FunctionType = (...args: any) => any;
export interface CONFIG_TYPE {
    div?: HTMLDivElement;
    debug?: boolean;
    i18n?: string;
    saveHandler: FunctionType | null;
    onCloseHandler?: FunctionType | null;
    debugPrefix?: string;
}
export interface EditorProps {
    config: CONFIG_TYPE;
    svgContent: string;
}
declare const Editor: (props: EditorProps) => import("react/jsx-runtime").JSX.Element;
export default Editor;
