import PropTypes from "prop-types";
import "./IconButton.scss";
import { FunctionType } from "./MiniEditor.js";
interface IconButtonProps {
    onClick: FunctionType;
    className: string;
    icon: string;
}
declare const IconButton: {
    ({ onClick, className, icon }: IconButtonProps): import("react/jsx-runtime").JSX.Element;
    propTypes: {
        className: PropTypes.Requireable<string>;
        onClick: PropTypes.Validator<(...args: any[]) => any>;
        icon: PropTypes.Validator<string>;
    };
    defaultProps: {
        className: string;
    };
};
export default IconButton;
